@extends("osadmin.adminmainlayout")

@section("content")
<div class="container-fluid">
    <div class="d-flex justify-content-between align-items-center">
        <h1 class="mt-4">View Orders</h1>  
    </div>
    <hr/>
</div>

@if (Session::has("success"))
    <div class="alert alert-success">
        {{Session::get("success")}}
    </div>
@endif

<div class="row px-4">
    <div class="col-md-12">
        <div class="card p-3">
            @if($ord->isNotEmpty()) 
                <table class="table">
                    <thead>
                        <tr>
                            <th>Order Id</th>
                            <th>Company Name</th>
                            <th>Name</th>
                            <th>Mobile</th>
                            <th> No. Of Product</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($ord as $vr)
                            <tr>
                                <td>{{$vr->order_id}}</td>
                                <td>{{$vr->empid}}</td>
                                <td>{{$vr->empname}}</td>
                                <td>{{$vr->mobile}}</td>
                                <td>{{$vr->orderProducts->count() }}</td>
                                <td>
                                    <a href="">Edit</a> 
                                    <a href="{{route('order.details',$vr->id)}}" class="px-2">View</a>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
                {{$ord->links()}} 
            @else
                <p>No orders found.</p>
            @endif
        </div>
    </div>
</div>
@endsection
