<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\sitecontroller;
use App\Http\Controllers\ordercontroller;
use App\Http\Controllers\admin\DashboardController;
use App\Http\Controllers\admin\wendorcontroller;

Route::get("/", [sitecontroller::class, "index"])->name('index');

Route::get("/order-form", [ordercontroller::class, "order"])->name('order');
Route::POST("/save", [ordercontroller::class, "save"])->name('save');
Route::POST("/save.q", [ordercontroller::class, "savequotation"])->name('save.q');


Route::get("/osadmin-dashboard", [DashboardController::class, "dashboard"])->name('osadmin-dashboard');
Route::get("/view-orders", [DashboardController::class, "vieworders"])->name('view.orders');
Route::get("/order-details/{order}", [DashboardController::class, "orderdetails"])->name('order.details');



Route::get("/view-wendors", [wendorcontroller::class, "viewwendors"])->name('view.wendors');
Route::get("/wendor-details/{wendor}", [wendorcontroller::class, "wendordetails"])->name('wendor.details');
Route::get("/add-wendor", [wendorcontroller::class, "addwendor"])->name('add.wendor');
Route::POST("/save-wendor", [wendorcontroller::class, "savewendor"])->name('save.wendor');
Route::get("/edit-wendor/{wendor}", [wendorcontroller::class, "editwendor"])->name('edit.wendor');
Route::put("/update-wendor/{wendor}", [wendorcontroller::class, "updatewendor"])->name('update.wendor');
Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
