

<?php $__env->startSection("content"); ?>
<html>
    <body>
        <div class="container-fluid">
            <div class="d-flex justify-content-between align-items-center">
                <div class="container-fluid">

                    <?php if(Session::has("success")): ?>
                    <div class="alert alert-success">
                        <?php echo e(Session::get("success")); ?>

                    </div>
                    <?php endif; ?>

                    <h2 class="text-center mt-4"><u>Order Details</u></h2>  

                    <a href="<?php echo e(route('view.orders')); ?>" style="margin-left: 1180px"><--Go Back</a>

                    <div class="row px-4">
                        <div class="col-md-12">
                            <div class="card p-3">
                                <div class="row">
                                    <div class="col-md-6">
                                        <h4 class="mb-3">Order Id : <span class="orderid"><?php echo e($od->order_id); ?></span></h4>
                                        <table>
                                            <tr>
                                                <th>Emp Id<spam style="margin-left: 22px">: <?php echo e($od->empid); ?></spam></th>
                                                <td></td>
                                            </tr>
                                            <tr>
                                                <th>Name<spam style="margin-left: 30px">: <?php echo e($od->empname); ?></spam></th>
                                                <td></td>
                                            </tr>
                                            <tr>
                                                <th>Email<spam style="margin-left: 35px">: <?php echo e($od->email); ?></spam></th>
                                                <td></td>
                                            </tr>
                                            <tr>
                                                <th>Mobile<spam style="margin-left: 22px">: <?php echo e($od->mobile); ?></spam></th>
                                                <td></td>
                                            </tr>
                                        </table>
                                    </div>

                                    <div class="col-md-6">
                                        <h4>Parity : <span class="<?php echo e($od->address1 == 'Low' ? 'low-parity' : ($od->address1 == 'Medium' ? 'medium-parity' : ($od->address1 == 'High' ? 'high-parity' : ''))); ?>">
                                             <?php echo e(ucfirst($od->address1)); ?> </span>
                                        </h4>
                                        
                                        
                                        <table>
                                            <tr>
                                                <th>Expected Price<spam style="margin-left: 1px"> : &pound <?php echo e($od->address2); ?></spam></th>
                                                <td></td>
                                            </tr>
                                            
                                            <tr>
                                                <th>No.Of Days<spam style="margin-left: 25px"> : <?php echo e($od->country); ?></spam></th>
                                                <td></td>
                                            </tr>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <?php if($od->orderProducts->isNotEmpty()): ?>
                <?php $__currentLoopData = $od->orderProducts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <h4 class="mb-2 px-4">Product <?php echo e($index + 1); ?></h4>
                    <div class="row px-4">
                        <div class="col-md-12">
                            <div class="card p-3">
                                <table class="table">
                                    <thead class="thead-light">
                                        <tr>
                                            <th style="width: 25%;">Product</th>
                                            <th style="width: 15%;">Size</th>
                                            <th style="width: 10%;">Qty</th>
                                            <th style="width: 15%;">Image</th>
                                            <th style="width: 15%;">Message</th>
                                            <th style="width: 10%;">Status</th>
                                            <th style="width: 10%;">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td style="word-wrap: break-word; max-width: 0;"><?php echo e($product->product); ?></td>
                                            <td><?php echo e($product->size); ?></td>
                                            <td><?php echo e($product->qty); ?></td>
                                            <td>
                                                <img src="<?php echo e(url('assets/orders/'.$product->avatar)); ?>"  class="img-fluid" height="80px" width="70px">
                                            </td>
                                            <td><?php echo e($product->message); ?></td>
                                            <td><?php echo e($od->status); ?></td>
                                            <td>
                                                <button type="button" id="addButton-<?php echo e($index); ?>" class="btn btn-primary btn-sm" onclick="toggleForm(<?php echo e($index); ?>)">Add</button>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>

                                <!-- Hidden form to add details -->
                                <div id="productForm-<?php echo e($index); ?>" class="product-form" style="display: none;">
                                    <div class="d-flex justify-content-between">
                                        <h5>Add Your Quotation</h5>
                                        <button type="button" class="btn btn-danger btn-sm" onclick="toggleForm(<?php echo e($index); ?>)">X</button>
                                    </div>
                                    <form action="<?php echo e(route('save.q')); ?>" method="POST">
                                        <?php echo csrf_field(); ?>
                                        <input type="hidden" name="order_id" value="<?php echo e($od->order_id); ?>">
                                        <input type="hidden" name="product_id" value="<?php echo e($product->id); ?>">
                                        
                                        <div class="row">
                                        <div class="col-md-6">
                                            <label for="ref">Reference</label>
                                            <input type="text" name="ref" class="form-control" required>
                                        </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-md-6">
                                            <label for="wname">Wendor Name</label>
                                            <select class="form-control" name="wname">
                                                <option value="">-- Select Wendor --</option>
                                                <?php $__currentLoopData = $wn; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $w): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option vlaue="<?php echo e($w->wname); ?>"> <?php echo e($w->wname); ?> </option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                        <div class="col-md-6">
                                        <label for="product">Product</label>
                                        <select class="form-control" name="product">
                                            <option vlaue="">-- Select Product --</option>
                                            <?php $__currentLoopData = $wn; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $w): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php $__currentLoopData = $w->products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pro): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option vlaue="<?php echo e($pro->product); ?>"> <?php echo e($pro->product); ?> </option>
                                           <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                           <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        </div>

                                        <div class="text-center">
                                        <button type="submit" class="btn btn-success btn-sm mt-3">Add</button>
                                        </div>
                                    </form>
                                </div>

                            </div>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php else: ?>
                <p>No products found for this order.</p>
            <?php endif; ?>

        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<script>
    function toggleForm(index) {
        const form = document.getElementById(`productForm-${index}`);
        const addButton = document.getElementById(`addButton-${index}`);

        if (form.style.display === "none" || form.style.display === "") {
            form.style.display = "block";
            addButton.style.display = "none";
        } else {
            form.style.display = "none";
            addButton.style.display = "inline-block";
        }
    }
</script>

<style>
    .low-parity {
    background-color: yellow;
    border-radius: 5px;
}

.medium-parity {
    background-color: orange;
    border-radius: 5px;
}

.high-parity {
    background-color: red;
    border-radius: 5px;
}
.orderid{
    background-color: #00FFFF;
    border-radius: 5px;
}

    </style>
<?php echo $__env->make("osadmin.adminmainlayout", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\laravel\blupaceorders.co.uk\resources\views/osadmin/order_details.blade.php ENDPATH**/ ?>