

<?php $__env->startSection("page-content"); ?>

<body class="index-page">
  <main class="main">

    <!-- Hero Section -->
    <section id="hero" class="hero section dark-background">
      <img src="assets/img/hero-bg-2.jpg" alt="" class="hero-bg">

      <div class="container text-center">

        <?php if(Session::has("success")): ?>
        <div class="alert alert-success">
            <?php echo e(Session::get("success")); ?>

        </div>
        <?php elseif(Session::has("error")): ?>
        <div class="alert alert-danger">
            <?php echo e(Session::get("error")); ?>

        </div>
        <?php endif; ?>

        <h1>Order Here</h1>

        <!-- Centered Form -->
        <div class="row justify-content-center">
          <div class="col-md-8">
            <form method="POST" action="<?php echo e(route('save')); ?>" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>

                <div class="row">
                    <div class="col-md-6 py-3">
                        <label style="display: block; text-align: left;">Company Name<spam class="text-danger">*</spam></label>
                        <input type="text" name="empid" value="<?php echo e(old('empid')); ?>" class="form-control" />
                        <?php $__errorArgs = ["empid"];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <small class="text-danger"><?php echo e($message); ?></small>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="col-md-6 py-3">
                        <label style="display: block; text-align: left;">Full Name<spam class="text-danger">*</spam></label>
                        <input type="text" name="empname" value="<?php echo e(old('empname')); ?>" class="form-control" />
                        <?php $__errorArgs = ["empname"];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <small class="text-danger"><?php echo e($message); ?></small>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-6 py-3">
                        <label style="display: block; text-align: left;">Email<spam class="text-danger">*</spam></label>
                        <input type="text" name="email" value="<?php echo e(old('email')); ?>" class="form-control" />
                        <?php $__errorArgs = ["email"];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <small class="text-danger"><?php echo e($message); ?></small>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="col-md-6 py-3">
                        <label style="display: block; text-align: left;">Mobile<spam class="text-danger">*</spam></label>
                        <input type="text" name="mobile" value="<?php echo e(old('mobile')); ?>" class="form-control" />
                        <?php $__errorArgs = ["mobile"];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <small class="text-danger"><?php echo e($message); ?></small>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                </div>

                <div id="product-fields">
                    <?php $__currentLoopData = old('product', ['']); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="row product-row">
                            <div class="col-md-6 py-3">
                                <label style="display: block; text-align: left;">Product <?php echo e($loop->iteration); ?> </label>
                                <input type="text" name="product[]" value="<?php echo e(old('product.' . $index)); ?>" class="form-control" />
                                <?php $__errorArgs = ["product.$index"];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <small class="text-danger"><?php echo e($message); ?></small>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            <div class="col-md-3 py-3">
                                <label style="display: block; text-align: left;">Size<span class="text-danger">*</span></label>
                                <input type="text" name="size[]" value="<?php echo e(old('size.' . $index)); ?>" class="form-control" />
                                <?php $__errorArgs = ["size.$index"];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <small class="text-danger"><?php echo e($message); ?></small>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            <div class="col-md-1 py-3">
                                <label style="display: block; text-align: left;">Qty<span class="text-danger">*</span></label>
                                <input type="text" name="qty[]" value="<?php echo e(old('qty.' . $index)); ?>" class="form-control" />
                                <?php $__errorArgs = ["qty.$index"];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <small class="text-danger"><?php echo e($message); ?></small>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            <div class="col-md-2 py-3">
                                <label style="display: block; text-align: left;">Price<spam class="text-danger">*</spam> (&pound)</label>
                                <input type="text" name="address2" value="<?php echo e(old('address2')); ?>" class="form-control" />
                                <?php $__errorArgs = ["address2"];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <small class="text-danger"><?php echo e($message); ?></small>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>

                            <div class="col-md-6 py-3">
                                <label style="display: block; text-align: left;">Upload Image</label>
                                <input type="file" name="avatar[]" class="form-control" />
                                <?php $__errorArgs = ["avatar.$index"];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <small class="text-danger"><?php echo e($message); ?></small>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                
                            <div class="col-md-5 py-3">
                                <label style="display: block; text-align: left;">Message</label>
                                <input type="text" name="message[]" value="<?php echo e(old('message.' . $index)); ?>" class="form-control" />
                                <?php $__errorArgs = ["message.$index"];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <small class="text-danger"><?php echo e($message); ?></small>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                
                            <div class="col-md-1 py-3 d-flex align-items-end">
                                <button type="button" class="btn btn-primary" onclick="addProductField()">+</button>
                                <button type="button" class="btn btn-danger" onclick="removeProductField(this)">-</button>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
                
                
                <div class="row">
                    <div class="col-md-3 py-3">
                        <label style="display: block; text-align: left;">Parity<spam class="text-danger">*</spam></label>
                        <select name="address1" class="form-control">
                            <option value=""> -- select List--</option>
                            <option <?php echo e(old('address1') === "Low" ? "selected" : ''); ?> value="Low">Low</option>
                            <option <?php echo e(old('address1') === "Medium" ? "selected" : ''); ?> value="Medium">Medium</option>
                            <option <?php echo e(old('address1') === "High" ? "selected" : ''); ?> value="High">High</option>
                        </select>
                        <?php $__errorArgs = ["address1"];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <small class="text-danger"><?php echo e($message); ?></small>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="col-md-3 py-3">
                        <label style="display: block; text-align: left;">No.Of Days<spam class="text-danger">*</spam></label>
                        <input type="text" name="country" value="<?php echo e(old('country')); ?>" class="form-control" />
                        <?php $__errorArgs = ["country"];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <small class="text-danger"><?php echo e($message); ?></small>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="col-md-3 py-3">
                        <label style="display: block; text-align: left;">Postal Code<spam class="text-danger">*</spam></label>
                        <input type="text" name="pcode" value="<?php echo e(old('pcode')); ?>" class="form-control" />
                        <?php $__errorArgs = ["pcode"];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <small class="text-danger"><?php echo e($message); ?></small>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                </div>

                
                

                <div class="row">
                    <div class="col-md-12 py-3 text-center">
                        <input type="submit" name="submit" value="Place Order" class="btn btn-success" />
                    </div>
                    
                </div>
                

            </form>
          </div>
        </div>

      </div>

      <svg class="hero-waves" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 24 150 28" preserveAspectRatio="none">
        <defs>
          <path id="wave-path" d="M-160 44c30 0 58-18 88-18s 58 18 88 18 58-18 88-18 58 18 88 18 v44h-352z"></path>
        </defs>
        <g class="wave1">
          <use xlink:href="#wave-path" x="50" y="3"></use>
        </g>
        <g class="wave2">
          <use xlink:href="#wave-path" x="50" y="0"></use>
        </g>
        <g class="wave3">
          <use xlink:href="#wave-path" x="50" y="9"></use>
        </g>
      </svg>

    </section><!-- /Hero Section -->

  </main>
</body>

<script>
function addProductField() {
    // Get the container of product fields
    var productFieldsContainer = document.getElementById('product-fields');
    
    // Check if the number of product rows is less than 5
    var currentRowCount = productFieldsContainer.querySelectorAll('.product-row').length;
    if (currentRowCount < 5) {
        // Clone the last product row
        var lastProductRow = productFieldsContainer.querySelector('.product-row:last-child');
        var newProductRow = lastProductRow.cloneNode(true);
        
        // Reset the input values in the cloned row
        var inputs = newProductRow.querySelectorAll('input');
        inputs.forEach(input => input.value = '');
        
        // Append the new row to the product fields container
        productFieldsContainer.appendChild(newProductRow);
        
        // Update product labels
        updateProductLabels();
        
        // Manage "+" and "-" buttons visibility
        updateButtonsVisibility();
    } else {
        alert('You can only add up to 5 products.');
    }
}

function removeProductField(button) {
    var productFieldsContainer = document.getElementById('product-fields');
    if (productFieldsContainer.querySelectorAll('.product-row').length > 1) {
        button.closest('.product-row').remove();
        updateProductLabels(); // Update product labels after removing a row
        updateButtonsVisibility();
    }
}

function updateButtonsVisibility() {
    var productRows = document.querySelectorAll('.product-row');
    productRows.forEach((row, index) => {
        var addButton = row.querySelector('.btn-primary');
        var removeButton = row.querySelector('.btn-danger');
        addButton.style.display = (index === productRows.length - 1) ? 'inline-block' : 'none';
        removeButton.style.display = (productRows.length > 1) ? 'inline-block' : 'none';
    });
}

function updateProductLabels() {
    var productRows = document.querySelectorAll('.product-row');
    productRows.forEach((row, index) => {
        var label = row.querySelector('label');
        label.textContent = 'Product ' + (index + 1) + ' *';
    });
}

// Initial call to set the correct button visibility and labels
updateButtonsVisibility();
updateProductLabels();

</script>




    
<?php $__env->stopSection(); ?>

<?php echo $__env->make("mainlayout", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\laravel\blupaceorders.co.uk\resources\views/order.blade.php ENDPATH**/ ?>