<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->id();
            $table->string('empid');
            $table->string('empname');
            $table->string('email');
            $table->string('mobile');
            $table->string('product');
            $table->string('size');
            $table->string('qty');
            $table->string('address1');
            $table->string('address2');
            $table->string('country');
            $table->string('pcode');
            $table->string('avatar');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('orders');
    }
};
