<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('wendors', function (Blueprint $table) {
            $table->id();
            $table->string('v_id');
            $table->string('name');
            $table->string('email');
            $table->string('mobile');
            $table->string('gst');
            $table->string('licence');
            $table->string('address1');
            $table->string('address2');
            $table->string('state');
            $table->string('country');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('wendors');
    }
};
