@extends("osadmin.adminmainlayout")

@section("content")
<div class="container-fluid">
    <div class="d-flex justify-content-between align-items-center">
        <h1 class="mt-4">Vendors List</h1>  
    </div>
    <hr/>
</div>

    <div class="text-center">
        @if (Session::has("success"))
            <div class="alert alert-success">
                {{Session::get("success")}}
            </div>
        @endif
    </div>

<div class="row px-4">
    <div class="col-md-12">
        <div class="card p-3">
            @if($wendor->isNotEmpty())
            <table class="table">
                <thead>
                    <tr>
                        <th>Vendor Id</th>
                        <th>Company Name</th>
                        <th>Vendor Name</th>
                        <th>Email</th>
                        <th>Mobile No.</th>
                        <th>Address1</th>
                        <th>Address2</th>
                        <th>Country</th>
                        <th>Postal Code</th>
                        <th>Status</th>
                        <th>Action</th>

                    </tr>
                </thead>
                @foreach ($wendor as $wen)
                <tbody>
                    <tr>
                        <td>{{$wen->v_id}}</td>
                        <td>{{$wen->cname}}</td>
                        <td>{{$wen->wname}}</td>
                        <td>{{$wen->email}}</td>
                        <td>{{$wen->mobile}}</td>
                        <td>{{$wen->address1}}</td>
                        <td>{{$wen->address2}}</td>
                        <td>{{$wen->country}}</td>
                        <td>{{$wen->pcode}}</td>
                        <td></td>
                        <td style="width: 7%;">
                            <a href="{{route('wendor.details',$wen->id)}}" >View</a>
                            &nbsp
                            <a href="" title="delete"><i class="fa-solid fa-trash" style="color: red"></i></a>
                        </td>
                    </tr>
                </tbody>
                @endforeach
                
            </table>
            {{$wendor->links()}}
            @endif
        </div>
    </div>
</div>

@endsection