@extends("osadmin.adminmainlayout")

@section("content")
<html>
    <body>
                    <div class="d-flex justify-content-center align-items-center mt-4 position-relative">
                        <h2 class="text-center w-100"><u>Vendor Details</u></h2>
                        <a href="{{ route('view.wendors') }}" ><-- Go Back</a>
                    </div>

                     <div class="row px-4">
                        <div class="col-md-12">
                            <div class="card p-3">
                                
                    @if (Session::has("success"))
                    <div class="alert alert-success">
                        {{Session::get("success")}}
                    </div>
                    @endif
                                <div class="row">
                                    <div class="col-md-4">
                                        <h4 class="mb-3">Vendor ID : <span class="orderid">{{$wen->v_id}}</span></h4>
                                        <table>
                                            <tr>
                                                <th>Company Name : {{$wen->cname}}</spam></th>
                                                <td></td>
                                            </tr>
                                            <tr>
                                                <th>Vendor Name<spam style="margin-left: 15px">: {{$wen->wname}}</spam></th>
                                                <td></td>
                                            </tr>
                                            <tr>
                                                <th>Email Id<spam style="margin-left: 65px">: {{$wen->email}}</spam></th>
                                                <td></td>
                                            </tr>
                                            <tr>
                                                <th>Mobile No.<spam style="margin-left: 40px">: {{$wen->mobile}}</spam></th>
                                                <td></td>
                                            </tr>
                                        </table>
                                    </div>

                                    <div class="col-md-4">
                                        <h4>GST : <span class="gst">{{$wen->gst}}</span></h4>
                                        <h5>Licence : {{$wen->licence}}</h5>
                                    </div>

                                    <div class="col-md-3">
                                        <h4>Address : </h4>
                                        <table>
                                            <tr>
                                                <th>{{$wen->address1}}</th>
                                            </tr>
                                            <tr>
                                                <th>{{$wen->address2}}</th>
                                            </tr>
                                            <tr>
                                                <th>{{$wen->country}} - {{$wen->pcode}}.</th>
                                            </tr>
                                        </table>
                                    </div>

                                    <div class="col-md-1"> <a href="{{route('edit.wendor',$wen->id)}}" class="btn btn-primary" style="margin-left: 15px">Edit</a> </div>

                                </div>
                            </div>
                        </div>
                    </div> 

                   <section>
                        <h2 class="px-4 mt-2">Products</h2>
                

                     <div class="row px-4">
                        <div class="col-md-12">
                            <div class="card p-3">

                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th>Product</th>
                                            <th>Size</th>
                                            <th>Cost</th>
                                            <th>Image</th>
                                            <th>Details</th>
                                        </tr>
                                        <tbody>
                                            @foreach ($wen->products as $we)
                                            <tr>
                                                <td>{{$we->product}}</td>
                                                <td>{{$we->size}}</td>
                                                <td>{{$we->quality}}</td>
                                                <td><img src="" title="" height="60px" width="50px" /></td>
                                                <td></td>
                                            </tr>
                                            @endforeach
                                        </tbody>
                                    </thead>
                                </table>
                                
                            </div>
                        </div>
                    </div> 
                </section>
              
        @endsection

        <style>
            .orderid{
                background-color: #00FFFF;
                border-radius: 5px;
            }
            .gst{
                background-color: #90EE90;
                border-radius: 5px;
            }
        </style>