

<?php $__env->startSection("content"); ?>
<div class="container-fluid">
    <div class="d-flex justify-content-between align-items-center">
        <h1 class="mt-4">View Orders</h1>  
    </div>
    <hr/>
</div>

<?php if(Session::has("success")): ?>
    <div class="alert alert-success">
        <?php echo e(Session::get("success")); ?>

    </div>
<?php endif; ?>

<div class="row px-4">
    <div class="col-md-12">
        <div class="card p-3">
            <?php if($ord->isNotEmpty()): ?> 
                <table class="table">
                    <thead>
                        <tr>
                            <th>Order Id</th>
                            <th>Company Name</th>
                            <th>Name</th>
                            <th>Mobile</th>
                            <th> No. Of Product</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $ord; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vr): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($vr->order_id); ?></td>
                                <td><?php echo e($vr->empid); ?></td>
                                <td><?php echo e($vr->empname); ?></td>
                                <td><?php echo e($vr->mobile); ?></td>
                                <td><?php echo e($vr->orderProducts->count()); ?></td>
                                <td>
                                    <a href="">Edit</a> 
                                    <a href="<?php echo e(route('order.details',$vr->id)); ?>" class="px-2">View</a>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
                <?php echo e($ord->links()); ?> 
            <?php else: ?>
                <p>No orders found.</p>
            <?php endif; ?>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make("osadmin.adminmainlayout", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\laravel\blupaceorders.co.uk\resources\views/osadmin/view_orders.blade.php ENDPATH**/ ?>